@font-face {
    font-family: 'audiowide';
    src: url('../assets/font/Audiowide-Regular.ttf');
}

@font-face {
    font-family: 'bruno-ace';
    src: url('../assets/font/BrunoAce-Regular.ttf');
}

* {
    scrollbar-color: var(--accent) transparent;
    scrollbar-width: thin;
}

::-webkit-scrollbar {
    background-color: transparent;
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background: var(--accent);
}

body {
    font-family: 'bruno-ace', sans-serif !important;
    font-size: 15px !important;

    /* Footer at bottom even if content is short */
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    justify-content: flex-start;
}

footer {
    margin-top: auto;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'audiowide', sans-serif !important;
}

canvas {
    display: block;
    margin: 0 auto;
}

/* Collapsible menu */
.collapse:not(.show) {
    display: none;
}

img.preview {
    image-rendering: pixelated;
    width: 100%;
    border-radius: unset;
    max-height: 200px;
}

.game {
    max-width: 350px;
    min-width: 225px;
}

.card-group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.author {
    z-index: 100;
    position: relative;
    padding: 2px !important;
    margin: 0 !important;
    text-align: center;
    display: block;
    margin-top: -33px !important;
    overflow: hidden;
    height: 27px;
}

#settings {
    width: 50%;
    min-width: 300px;
}

/* Iconify layout fix */
/*
iconify-icon {
    display: inline-block;
    width: 1em;
    height: 1em;
}
*/

button iconify-icon, a iconify-icon {
    vertical-align: bottom;
}
div > a iconify-icon {
    vertical-align: middle;
}

/* Matcha.css hotfix */
button.attention:not(:disabled):hover {
    background: var(--attention) !important;
}
button.danger:not(:disabled):hover {
    background: var(--danger) !important;
}

/* Had to copy button styles so I could style links like buttons */
.btn {
    text-decoration: none;
    display: inline-block;
    padding: .25rem .75rem;
    margin: .25rem .125rem;
    background: 0 0;
    color: var(--accent);
    text-transform: none;
    transition: background var(--tr-duration),color var(--tr-duration),filter var(--tr-duration);
    box-sizing: border-box;
    border: 1px solid var(--bd-muted);
    border-radius: var(--bd-radius);
    cursor: pointer;
    font-family: inherit;
    font-size: inherit;
    line-height: 1.5;
}

    .btn:hover, .btn:active {
        text-decoration: none;
        border-color: transparent;
        background: var(--accent);
        color: var(--light);
    }

    .success.btn {
        border: 1px solid var(--success);
    }

    .accent.btn {
        border: 1px solid var(--accent);
    }

    .accent.btn:hover, .accent.btn:active {
        background: var(--accent);
    }

    .success.btn:hover, .success.btn:active {
        background: var(--success);
    }

    .danger.btn:hover, .danger.btn:active {
        background: var(--danger);
    }

header {
    max-width: var(--ct-width);
    align-self: center;
}

form.inline {
    all: unset;
}

/* datatables fixes */
table.dataTable {
    overflow-wrap: break-word;
    display: table;
}

tr td:first-child {
    padding: 0 !important;
}

div.dt-container select.dt-input {
    background-color: var(--bg-default);
}
